@import '~bulma/sass/utilities/mixins';

.cardContainer {
  font-family: 'roboto';
  margin: 8px;
  padding: 8px;
  background-color: #fff;

  & .image {
    width: 100%;
    @include desktop {
      max-width: calc(20% - 3px);
      height: 100px;
    }
  }

  & .titleSection {
    & .title {
      color: #177fb6;
      font-weight: 600;
      font-size: 1rem;
    }
    @include desktop {
      width: calc(50% - 3px);
      border-right: 1px dashed;
    }
  }

  & .priceSection {
    text-align: center;
    & .priceLabel {
      font-size: 0.8rem;
    }
    & .priceValueContainer {
      display: flex;
      justify-content: center;
      align-items: center;
      color: #e16800;
      & .priceCurrency {
        text-transform: uppercase;
      }
      & .priceValue {
        font-size: 1.8rem;
        font-weight: 600;
      }
    }
    & .showBtn {
      display: block;
      width: 100%;
      height: 40px;
      margin: auto;
      background-color: #002979;
      color: #fff;
      border: none;
      border-radius: 5px;
      font-size: 1.2rem;
      outline-color: transparent;

      @include desktop {
        &:hover {
          opacity: 0.8;
        }
      }
    }
    @include desktop {
      width: 30%;
      max-width: calc(30% - 60px);
      padding: 0 30px;
    }
  }

  @include desktop {
    display: flex;
    flex-wrap: wrap;
  }
}
